package seal_request

import (
	"encoding/json"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/model/common"
)

type SealFormatPersonalsealimageRequest struct {
	UserInfoRequest        *common.UserInfoRequest        `json:"userInfoRequest,omitempty"`
	SealImageFormatRequest *common.SealImageFormatRequest `json:"sealImageFormatRequest,omitempty"`
	// <ext>format:string;core:true</ext> 【签名id】签名id 【作用】  指定需要获取图片的签名id
	Id *int64 `json:"id,omitempty"`
}

func (obj SealFormatPersonalsealimageRequest) GetUrl() string {
	return "/seal/format/personalsealimage"
}

func (obj SealFormatPersonalsealimageRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewPostHttpParameter()
	jsonBytes, _ := json.Marshal(obj)
	parameter.SetJsonParamer(string(jsonBytes))
	return parameter
}
